import Logger from "../../../../logger.js";
import type { CreateNewLocalCommunityParsedOptions, InternalCommunityRecordAfterFirstUpdateType, InternalCommunityRecordBeforeFirstUpdateType } from "../../../../community/types.js";
import type { LocalCommunity } from "../local-community.js";
export declare function initSignerProps(community: LocalCommunity, newSignerProps: InternalCommunityRecordBeforeFirstUpdateType["signer"]): Promise<void>;
export declare function importCommunitySignerIntoIpfsIfNeeded(community: LocalCommunity): Promise<void>;
export declare function getDbInternalState(community: LocalCommunity, lock: boolean): Promise<InternalCommunityRecordAfterFirstUpdateType | InternalCommunityRecordBeforeFirstUpdateType>;
export declare function updateDbInternalState(community: LocalCommunity, props: Partial<InternalCommunityRecordBeforeFirstUpdateType | InternalCommunityRecordAfterFirstUpdateType>): Promise<InternalCommunityRecordBeforeFirstUpdateType | InternalCommunityRecordAfterFirstUpdateType>;
export declare function updateInstanceStateWithDbState(community: LocalCommunity): Promise<void>;
export declare function updateInstancePropsWithStartedCommunityOrDb(community: LocalCommunity): Promise<void>;
export declare function setChallengesToDefaultIfNotDefined(community: LocalCommunity, log: Logger): Promise<void>;
export declare function createNewLocalCommunityDb(community: LocalCommunity): Promise<void>;
export declare function initNewLocalCommunityPropsNoMerge(community: LocalCommunity, newProps: CreateNewLocalCommunityParsedOptions): Promise<void>;
export declare function initInternalCommunityAfterFirstUpdateNoMerge(community: LocalCommunity, newProps: InternalCommunityRecordAfterFirstUpdateType): Promise<void>;
export declare function initInternalCommunityBeforeFirstUpdateNoMerge(community: LocalCommunity, newProps: InternalCommunityRecordBeforeFirstUpdateType): Promise<void>;
export declare function initDbHandlerIfNeeded(community: LocalCommunity): Promise<void>;
